Subject: AW: [Sipping] elwell-sipping-redirection-reason-02

From: "Jesske, R" <[email-masked]>
Date: Mon, 1 Aug 2005 13:50:26 +0200

Dear all,
I think we discussed this issue nearly one year ago.
My assumption was to propose such redirection causes for the Reason header what makes it easier to provide a bunch of diversion/redirect services in combination with the History header. Also the interoperability with the PSTN/ISDN (sorry for mentioning here) is given.

If I'm looking on:
http://www.ietf.org/internet-drafts/draft-jennings-sip-voicemail-uri-04.txt

There is a try to use the SIP response codes but I have a other understanding and it is not very clear for me why these responses are used for such redirect interpretation.

Chapter 3  defines the following values for a new "cause" parameter that is associated with the URI:

           +------------------------------+-----------------+
           | Service                      | Cause Parameter |
           +------------------------------+-----------------+
           | Busy                         | 486             |
           | No answer                    | 408             |
           | Unconditional                | 302             |
           | Deflect                      | 487             |
           | No Contacts/Failure of UA    | 410             |
           +------------------------------+-----------------+

The 486 and 408 is OK.
302 to use for an unconditional forwarding is from my point of view misleading. 302 sends back a URI where the new destination is. Compared with the PSTN/ISDN service this is more Call Deflection like, because in this service the user sends back a new destination number.

With regard to unconditional. From my point of understanding no response has to be sent back because the INVITE will be forwarded to the regarding destination. To inform the Caller a 181 (Call Is Being Forwarded) should be send back. In such a case the redirection reason is the best was to inform the caller why the call was forwarded.

I think this concept contradicts with the history header. If the history header will be used instead of the cause parameter. Two possible redirect reasons could be used. 1. the response code as proposed in 

With regard to the mapping of response codes to the PSTN/ISDN a new mechanism is needed if draft-jennings-sip-voicemail-uri-04.txt and the redirecting reason as proposed in John draft.

Thoughts? Can we bring such thoughts together?

Best Regards

Roland

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] 
> [mailto:[email-masked]] Im Auftrag von James M. Polk
> Gesendet: Sonntag, 31. Juli 2005 17:32
> An: Elwell John; Cullen Jennings; [email-masked]
> Betreff: RE: [Sipping] elwell-sipping-redirection-reason-02
> 
> 
> At 10:20 AM 7/31/2005 +0100, Elwell John wrote:
> >Cullen,
> >
> >I don't have a strong opinion whether it is additional SIP codes or
> >extension to the Reason header, but I sensed (correctly or 
> incorrectly) that
> >the mood was against the latter. Any other opinions?
> 
> I think I remember this too, but we're running out of code 
> number space too
> 
> 
> >John
> >
> > > -----Original Message-----
> > > From: Cullen Jennings [mailto:[email-masked]]
> > > Sent: 30 July 2005 04:48
> > > To: [email-masked]
> > > Subject: [Sipping] elwell-sipping-redirection-reason-02
> > >
> > >
> > > We had a thread on using the existing SIP codes and why 
> they were not
> > > adequate but I forget where it ended. Did we find some 
> lacking things?
> > > Should we add some more SIP codes because they are 
> needed? The whole
> > > discussion did not really seem to be addressed int this rev.
> > >
> > >
> > >
> > > _______________________________________________
> > > Sipping mailing list  
> https://www1.ietf.org/mailman/listinfo/sipping
> > > This list is for NEW development of the application of SIP
> > > Use [email-masked] for questions on current sip
> > > Use [email-masked] for new developments of core SIP
> > >
> >
> >_______________________________________________
> >Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> >This list is for NEW development of the application of SIP
> >Use [email-masked] for questions on current sip
> >Use [email-masked] for new developments of core SIP
> 
> 
> cheers,
> James
> 
>                                  *******************
>                  Truth is not to be argued... it is to be presented.
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP